﻿@model BlockListGrid
@{
    Layout = null;

    //TODO: Move to separate partial
    SmidgeHelper.RequiresJs("~/custom/vendors/bootstrap/dist/js/bootstrap.bundle.js");

    var baseUrl = $"{Context.Request.Scheme}://{Context.Request.Host}/";
}
<!DOCTYPE html>
<html>
<head>
    <base href="@baseUrl" />

    <template id="preview-overlay-template">
        <div class="preview-overlay">
            <div class="preview-toolbar">
                <div class="d-flex justify-content-between">
                    <div class="preview-title"></div>
                    <div class="preview-settings">
                        <span>⚙️</span>
                    </div>
                </div>
            </div>
        </div>
    </template>

    <style>
        /*[data-preview]:hover {
            cursor: pointer;
            border: 3px solid blue;
        }*/

        body.interactive-preview [data-preview] .preview-overlay {
            display: none;
        }

        body.interactive-preview [data-preview] {
            padding: inherit !important;
        }

        [data-preview] {
            position: relative;
            padding: 15px !important;
        }

            [data-preview] .preview-overlay {
                all: initial;
                position: absolute;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 9999;
            }

            [data-preview] .preview-overlay /*:hover*/ {
                border: 1px solid #1b264f;
            }

                [data-preview] .preview-overlay .preview-toolbar {
                    display: none;
                    background-color: #1b264f;
                    padding: 5px;
                    color: #ffffff;
                    font-weight: bold;
                    z-index: 9999;
                }

                [data-preview] .preview-overlay:hover .preview-toolbar {
                    display: block;
                }

                [data-preview] .preview-overlay .preview-settings {
                    cursor: pointer;
                }
    </style>

    @await SmidgeHelper.CssHereAsync()
    @await SmidgeHelper.InlineCssHereAsync()
</head>
<body class="">
    @await Html.PartialAsync("~/Views/Partials/CustomGrid/RenderGrid.cshtml", Model)
    @await SmidgeHelper.JsHereAsync()
    @await SmidgeHelper.InlineJsHereAsync()

    <script>
        window.addEventListener("beforeunload", function () {
            return;
        });

        document.addEventListener("DOMContentLoaded", function () {
            document.querySelectorAll("a").forEach(e => {
                e.addEventListener("click", function (event) {
                    event.preventDefault();
                });
            });

            document.querySelectorAll("form").forEach(e => {
                e.addEventListener("submit", function (event) {
                    event.preventDefault();
                });
            });

            const previewSettings = document.querySelector("#preview-overlay-template").content;

            document.querySelectorAll("[data-preview]").forEach(e => {
                e.insertBefore(previewSettings.cloneNode(true), e.firstElementChild);
            });

            parent.postMessage({
                type: "arlanet-grid-preview",
                value: "initialized"
            }, "*");
        });
    </script>
</body>
</html>